{currency}: Get specific currency

API: cryptomkt.com:cryptomarket-api
Endpoint: /public/currency/{currency}
Response format: application/json
Auth: unknown
Method: GET
Last Status: 403
Latency: 235ms

Description

Returns currency metadata including full name, deposit/withdrawal status, network details, fees, and explorer links. Use this to validate currency availability and get network information before transfers.

From spec: Returns detailed information about a specific currency.

Usage Tips

- Returns network-specific details including confirmation requirements - Check payin_enabled and payout_enabled before initiating transfers - Use address_regex to validate wallet addresses

Parameters (1)

currency (string, path, required)

Currency code (e.g., BTC, ETH, USDT)

Examples (1)

Get Bitcoin currency details probe-gate

Demonstrates fetching detailed currency information including deposit/withdrawal capabilities and network details

curl 'https://api.exchange.cryptomkt.com/api/3/public/currency/BTC'
import requests

resp = requests.get("https://api.exchange.cryptomkt.com/api/3/public/currency/BTC")
data = resp.json()
import zingu_apis

api = zingu_apis.api("cryptomkt")
result = api.fetch("public/currency/{currency}")

for item in result:
    print(item)
const resp = await fetch("https://api.exchange.cryptomkt.com/api/3/public/currency/BTC");
const data = await resp.json();

Probe History

Latency

Status Codes

TimeStatusLatencySize
2026-04-16 17:26:36.114555 403 235ms
2026-04-16 01:54:39.487502 200 183ms
2026-04-15 02:56:29.417112 200 256ms
2026-04-14 00:23:52.383536 200 197ms
2026-04-12 15:30:06.937498 200 209ms
2026-04-10 02:19:41.254550 200 320ms
2026-04-09 00:01:09.938673 200 225ms